#!/bin/sh
# Copyright (c) 2000-2013 Synology Inc. All rights reserved.

PSQL="/usr/bin/psql"

ExecSqlCommand()
{
	$PSQL -U postgres mediaserver -c "$1" > /dev/null 2>&1
}

DATABASE="mediaserver"
TABLE="playlist_sharing"
COLUMN="updated"

echo "test $TABLE table in $DATABASE DB"
ExecSqlCommand "SELECT * FROM $TABLE LIMIT 1"
Ret=$?
if [ $Ret = 1 ]; then
	echo "Create $TABLE table in $DATABASE DB"
	Script="/var/packages/AudioStation/target/scripts/upgrade/006_create_sharing_table.pgsql"
	$PSQL -U postgres $DATABASE < $Script
	if [ $? != 0 ]; then
		echo "Failed to create $TABLE table in $DATABASE DB"
		exit 2 # error
	fi

	exit 1 # db changed
fi

exit 0 # no modification
